package com.engine.organization.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * @className: OrgChartService
 * @author: dengjp
 * @date: 2022/7/7
 * @description: 组织架构图Service
 **/
public interface OrgChartService {
    Map<String, Object> getOptionCondition(Map<String, Object> request2Map, User user);

    Map<String, Object> getCompanyData(Map<String, Object> request2Map, User user);

    Map<String, Object> getUserData(Map<String, Object> request2Map, User user);

    Map<String, Object> asyncUserData(Map<String, Object> request2Map, User user);

    Map<String, Object> asyncCompanyData(Map<String, Object> request2Map, User user);

}
